package org.springblade.finance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.finance.entity.YksytAccountView;
import org.springblade.finance.vo.*;

import java.util.List;

/**
 * <p>
 * 优酷收银台渠道发展优酷20元产品的结算表 服务类
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
public interface IYksytAccountViewService extends IService<YksytAccountView> {

    List<YksytAccountSfwyVO> getSfwyDetail(String sid);

    List<YksytAccountBgfdzVO> getBgfdzDetail(String sid);

    List<YksytAccountCptfVO> getCptfDetail(String sid, Integer themonth);

    List<YksytAccountKftpffVO> getKftpffDetail(String sid);

    List<YksytAccountSfwykkVO> getSfwykkDetail(String sid);

    List<YksytAccountBgfdzcfVO> getBgfdzcfDetail(String sid);

}
